# Get Compliance Record by Type

`GET https://api.agilitycredit.net/v3/compliance/{applicant_type}`

Docs page: https://apidocs.agilitycredit.com/api/get-compliance-single · Tag: Compliance

This endpoint allows users to retrieve all compliance data corresponding to an applicant.

Authentication: `Authorization: Bearer <api key>`.

## Parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `applicant_type` | path | yes | Applicant type |
| `Idempotency-Key` | header | yes | A unique, idempotent key. We recommend to use a guid |
| `Agc-Tenant-Id` | header | yes | The tenant ID provided by Agility Credit. |
| `Agc-User-Id` | header | yes | The requestor user ID. |
| `Agc-Applicant-Id` | header | yes | Applicant ID - this cannot be empty |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Compliance data request processed successfully. | ComplianceSingleResponse |
| 400 | Bad Request | BadRequestComplianceResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 429 | Too Many Requests | TooManyRequestsResponse |
| 500 | Internal Server Error | AgilityServerErrorResponse |
Top-level 200 fields: `created_at`, `updated_at`, `synthetic_id`, `cleared`, `applicant_id`, `applicant_type`, `services`, `info_alerts`, `alerts`.

### Error bodies

400:

```json
{
  "status": "Bad Request - Validation Failed",
  "error": "Failed schema validation. Error: data.applicant_type must be one of ['main', 'co'], Path: ['data', 'applicant_type'], Data: joint"
}
```

401:

```json
{
  "message": "Unauthorized"
}
```

429:

```json
{
  "error": "Too Many Requests"
}
```

500:

```json
{
  "message": "Agility Server Error"
}
```
